<?php
include_once 'resources/classes/icl_utility.php';
include_once 'resources/classes/walkermenu.php';
$iclUtility = new IclUtility();

function new_excerpt_length($length) {
    global $post,$wpdb;
    if (is_single ()){
        return 150;
    }
    return 300;
}
add_filter('excerpt_length', 'new_excerpt_length');
// This theme styles the visual editor with editor-style.css to match the theme style.
add_editor_style();

// This theme uses post thumbnails
add_theme_support( 'post-thumbnails' );

// Add default posts and comments RSS feed links to head
add_theme_support( 'automatic-feed-links' );

// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'header' => __( 'Header Menu', 'bangkoo' ),
            	'footer' => __( 'Footer Menu', 'bangkoo' ),
	) );

define( 'HEADER_TEXTCOLOR', '' );
// No CSS, just IMG call. The %s is a placeholder for the theme template directory URI.
define( 'HEADER_IMAGE', '%s/uploads/banner-1.jpg' );

// The height and width of your custom header. You can hook into the theme's own filters to change these values.
// Add a filter to icl_header_image_width and icl_header_image_height to change these values.
define( 'HEADER_IMAGE_WIDTH', apply_filters( 'icl_header_image_width', 940 ) );
define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'icl_header_image_height', 400 ) );

// We'll be using post thumbnails for custom header images on posts and pages.
// We want them to be 940 pixels wide by 400 pixels tall.
// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );

// Don't support text inside the header image.
define( 'NO_HEADER_TEXT', true );

// Add a way for the custom header to be styled in the admin panel that controls
// custom headers. See icl_admin_header_style(), below.
add_custom_image_header( '', 'icl_admin_header_style' );
function icl_admin_header_style() {
?>
<style type="text/css">
/* Shows the same border as on front end */
#headimg {
	border-bottom: 1px solid #000;
	border-top: 4px solid #000;
}
/* If NO_HEADER_TEXT is false, you would style the text with these selectors:
	#headimg #name { }
	#headimg #desc { }
*/
</style>
<?php
}

/* add widget function */
register_sidebar(array(
  'name' => 'FOOTER',
  'description' => 'Widgets will shown in the bottom of left hand.',
  'before_widget' => '<div class="footer-block grid_8">',
  'after_widget' => '</div></div>',
  'before_title' => '<h3>',
  'after_title' => '</h3><div class="clear"></div><div class="footer-block-content">'

));

register_sidebar(array(
  'name' => 'SIDEBAR',
  'description' => 'Widgets will shown in the sidebar of left hand.',
  'before_widget' => '<div class="sidebar-wrap">',
  'after_widget' => '</div>',
  'before_title' => '<h3>',
  'after_title' => '</h3>'
));

function updateCartCount(){
    //echo 'yyyyy';
    $output = sprintf( _n('%d item', '%d items', wpsc_cart_item_count(), 'wpsc'), wpsc_cart_item_count());
    $totalprice = wpsc_cart_total_widget();
    echo "jQuery('p.totalitems').html('$output');jQuery('p.totalprice').html(\"$totalprice\");";
    exit;
}

if ($_GET['icl_ajax_action'] == 'status_cart'){
    add_action( 'init', 'updateCartCount' );   
}

function date_posted_on($patternDate='d-M') {
        global $post;
        //$arrayDay = array('Senin','Selasa','Rabu','Kamis','Jumat','Sabtu','Minggu');
        return get_the_date($patternDate);
}

function get_next_posts_link_icl($max_page = 0 ) {
	global $paged, $wp_query;

	if ( !$max_page )
		$max_page = $wp_query->max_num_pages;

	if ( !$paged )
		$paged = 1;

	$nextpage = intval($paged) + 1;

	if ( !is_single() && ( empty($paged) || $nextpage <= $max_page) ) {
		$attr = apply_filters( 'next_posts_link_attributes', '' );
		return next_posts( $max_page, false );
	}
}

function get_previous_posts_link_icl( ) {
	global $paged;

	if ( !is_single() && $paged > 1 ) {
		$attr = apply_filters( 'previous_posts_link_attributes', '' );
		return previous_posts( false );
	}
}

function my_nav_unlister( $menu ){
  if (strripos($menu,"menu-bottomheader") !== false){
    return preg_replace( array( '#^<ul[^>]*>#', '#</ul>$#' ), '', $menu );
  }
  return $menu;
}

function the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
		echo get_option('home');
		echo '">Home</a>';
		if (is_category() || is_single()) {
			echo " > ".single_cat_title('',false);
                        if (is_single()) {
				echo " ";
				the_title();
			}
		} elseif (is_page()) {
			echo the_title();
		}
	}
}

function isHavePreviousPosts(){
    global $paged;
    if ( !is_single() && $paged > 1 ){
        return true;
    }
    return false;
}

function isHaveNextPosts(){
    global $paged, $wp_query;

    if ( !$max_page )
            $max_page = $wp_query->max_num_pages;
     
    if ( !$paged )
            $paged = 1;

    $nextpage = intval($paged) + 1;

    if ( !is_single() && ( empty($paged) || $nextpage <= $max_page) ) {
        return true;
    }
    return false;
}

function cutText($content = false,$excerpt_length=4) {
            $mycontent = strip_shortcodes($content);
            $mycontent = str_replace(']]>', ']]&gt;', $mycontent);
            $mycontent = strip_tags($mycontent);
            $words = explode(' ', $mycontent, $excerpt_length + 1);
            if(count($words) > $excerpt_length) :
                array_pop($words);
                $mycontent = implode(' ', $words);
            endif; 
            //print_r($words);
            return $mycontent;
}

function myExcerpts($content = false,$excerpt_length=200) {
            global $post;
            $mycontent = $post->post_excerpt;

            $mycontent = $post->post_content;
            $mycontent = strip_shortcodes($mycontent);
            $mycontent = str_replace(']]>', ']]&gt;', $mycontent);
            $mycontent = strip_tags($mycontent);
            $words = explode(' ', $mycontent, $excerpt_length + 1);
            if(count($words) > $excerpt_length) :
                array_pop($words);
                array_push($words, '...');
                $mycontent = implode(' ', $words);
            endif;
            $mycontent = '<p>' . $mycontent . '</p>';
// Make sure to return the content
    return $mycontent;
}

if ( ! function_exists( 'twentyten_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own twentyten_comment(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 * @since Twenty Ten 1.0
 */
function twentyten_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'twentyten' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'twentyten' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'twentyten' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'twentyten' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'twentyten' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'twentyten' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;

add_filter( 'wp_nav_menu', 'my_nav_unlister' );



    /**
     * adding a dashboard widget into dashboard page.
     *
     * @global <type> $wp_dashboard_control_callbacks
     * @param <type> $widget_id
     * @param <type> $widget_name
     * @param <type> $callback
     *
     * @author Onnay Okheng
     */
    function addDashboardTokokoo() {
        wp_add_dashboard_widget( 'tokokoo-widget', 'Tokokoo News', 'dashboardTokokoo' );
    }

    function dashboardTokokoo() {
         $rss_url = 'http://feeds.feedburner.com/tokokoo';

        $rss = @fetch_feed($rss_url);

        if (is_wp_error($rss)) {
            if (is_admin() || current_user_can('manage_options')) {
                printf(__('<strong>RSS Error</strong>: %s'), $rss->get_error_message());
            }
        } elseif (!$rss->get_item_quantity()) {
            return FALSE;
        } else {
            wp_widget_rss_output($rss, array('items' => 5, 'show_summary' => TRUE, 'show_date' => TRUE));
        }

        $printout_html = <<< HTML
        <div class="stream">
                    <div class="logo-small">Tokokoo</div>
                    <ul>
                        <li><a id="icl-publishing-rss" href="$rss_url" target="_blank" >RSS</a></li>
                        <li><a id="icl-publishing-twit" href="http://twitter.com/tokokoo" target="_blank" >Twitter</a></li>
                        <li><a id="icl-publishing-email" href="http://tokokoo.com/support" target="_blank" >Support</a></li>
                    </ul>
        </div>
HTML;

        echo $printout_html;
    }


    // Adding style on admin page
    function tokokoo_themes_admin_head() {
        echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('template_directory').'/tokokoo_admin.css" media="screen" />';
    }

    add_action( 'wp_dashboard_setup' , 'addDashboardTokokoo');
    add_action( 'admin_head'         , 'tokokoo_themes_admin_head');
    
    add_action( 'admin_menu', 'themes_administration');
    
    function themes_administration(){
        
         // Check all the Options, then if the no options are created for a ralitive sub-page... it's not created.
        if(function_exists('add_object_page')){
            add_object_page ('Page Title', get_option('current_theme'), 8,'tokokoo', 'tokokoo_themes_page', get_bloginfo('template_url').'/images/icon.png');
        } else {
            add_menu_page ('Page Title', get_option('current_theme'), 8,'tokokoo_themes_home', 'tokokoo_themes_page', get_bloginfo('template_url').'/images/icon.png');
        }

        add_submenu_page('tokokoo', get_option('current_theme'), 'Theme Options',    8, 'tokokoo',   'tokokoo_themes_page');     // Theme Options
        add_submenu_page('tokokoo', get_option('current_theme'), 'Theme Changelog',  8, 'changelog', 'tokokoo_changelog');       // Theme Changelog
        add_submenu_page('tokokoo', get_option('current_theme'), 'Buy Themes',       8, 'buy-themes','tokokoo_buy_theme');       // Theme Buy Themes
    }
    
    // Display the premium theme panel image
    function tokokoo_themes_page(){
    ?>
        <div class="wrap" id="tk_options">
            <img src="<?php echo get_bloginfo('template_url');?>/images/Theme Panel Tokokoo.jpg" alt="tokokoo appcloud free theme"/>
        </div>

    <?php
    }
    
    // Display the changelog of theme
    function tokokoo_changelog(){
    ?>
        <div class="wrap" id="tk_options">
            <h2><?php _e( 'Changelog', 'tokokoo'); ?> - <?php echo get_option('current_theme'); ?></h2>
            <pre>
            <?php
                $log_file   = file(get_bloginfo('template_url').'/changelog.txt');
                $log        = implode($log_file);
                echo $log;
            ?>
            </pre>
        </div>

    <?php
    }
    
    // Display other themes of tokokoo.
    function tokokoo_buy_theme(){
    ?>
        <div class="wrap" id="tk_options">
            <h2><?php _e('Buy Another Themes', 'tokokoo'); ?></h2>

            <iframe frameborder="0" style="width:100%; height: 4300px; overflow: hidden;" src="http://tokokoo.com/tokokoo-themes">
             [Your user agent does not support frames or is currently configured not to display frames. However, you may visit the related document.]
            </iframe>

        </div>

    <?php
    }

    // remove default jQuery from Plugin from WPEC 3.8.5 and WP 3.2
    add_action('init', 'tk_load_js');
    function tk_load_js(){
        if(!is_admin()){
            wp_deregister_script('jquery');
            wp_register_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.js');
            wp_enqueue_script('jquery');
        }
    }
    
?>