<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?></title>

    <link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
    <script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/script/jquery.tools.min.js"></script>
    <script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/script/bangkoo.js"></script>

    <?php
            /* We add some JavaScript to pages with the comment form
             * to support sites with threaded comments (when in use).
             */
            if ( is_singular() && get_option( 'thread_comments' ) )
                    wp_enqueue_script( 'comment-reply' );

            /* Always have wp_head() just before the closing </head>
             * tag of your theme, or you will break many plugins, which
             * generally use this hook to add elements to <head> such
             * as styles, scripts, and meta tags.
             */
            wp_head();
    ?>

    <link media="screen" rel="stylesheet" type="text/css" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
    <!-- custom theme css -->
    <link media="screen" rel="stylesheet" type="text/css" href="<?php bloginfo( 'stylesheet_directory' ); ?>/skin/brown/style.css" />
    <link media="screen" rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/css/types/stylesheet.css" />
    <link media="screen" rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/style-free.css" />
    <script language="javascript">
      jQuery(document).ready(function() {
          // put all your jQuery goodness in here.
          if ( jQuery('ul.wpsc_categories').length ){
                  jQuery('ul.wpsc_categories').each(function(index) {
                        jQuery(this).add('ul').each(function(index) {
                                if (index != 0){
                                        //firstUl.append($(this).html());
                                        jQuery('ul.wpsc_categories').append($(this).html());
                                        jQuery(this).remove();
                                        //$("ul .wpsc_categories:first").
                                }
                        });
                  });
          }
          var $hasCheck = false;
          jQuery('.wpsc_buy_button').click(function() {
              $hasCheck = false;
              jQuery('.wpsc_buy_button').ajaxSuccess(function() {
                  if (!$hasCheck){
                          $hasCheck = true;
                          jQuery.get('index.php?icl_ajax_action=status_cart', function(data) {
                                eval(data);
                          });
                  }
              });
          });
      });
    </script>
</head>
<?php global $iclUtility;?>
<body>
<div id="wrap">
	<div id="main">
		<div id="user-actions" class="container_16 clearfix">
        	<div id="login-box" class="grid_14">
                <?php wp_register('<a>','</a> / ',true)?>
                <?php wp_loginout(); ?>
                    <!--a href="#" title="Register/login">Register / Login</a-->
            </div>
            <?php if (function_exists('wpsc_cart_item_count')):?>
            <div id="cart-status" class="grid_2">
            	<strong>Your Cart</strong>
                <p class="totalitems"><?php printf( _n('%d item', '%d items', wpsc_cart_item_count(), 'wpsc'), wpsc_cart_item_count() ); ?></p>
                <p class="totalprice"><?php echo wpsc_cart_total_widget(); ?></p>
                <a href="<?php echo get_option('shopping_cart_url'); ?>" title="View Cart" class="button-s1"><span>View Cart</span></a>
            </div>
            <?php endif;?>
        </div><!-- end #user-actions -->
         <div id="header" class="container_16 clearfix">

            <img id="banner-top" src="<?php echo get_header_image();?>" alt="Bangkoo" width="940" height="400"/>

            <div id="header-menu">

                <div class="grid_10 alpha">
                        <h1 id="logo"><a href="<?php echo home_url( '/' ); ?>" title="<?php bloginfo( 'name' );?>"><?php bloginfo( 'name' );?></a></h1>
                    <p id="site-description"><?php bloginfo( 'description' ); ?></p>

						<?php
                        if (has_nav_menu('header')):
                            wp_nav_menu(array('theme_location' => 'header','menu_id'=>'top-menu','container'=>'','menu_class'=>''));
                        endif;
                        ?>

                </div>

				<div class="grid_4">
                    <div id="top-search" class="clearfix">
                        <form method="get" id="searchform" action="<?php echo home_url( '/' )?>" >
                                <p class="dissolve">
                                <input type="text" name="s" id="product-search" class="disinput" size="20"   value="Enter keywords..." onfocus="if (this.value == 'Enter keywords...') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Enter keywords...';}" />
                                <input type="submit" class="search-submit" value="Search" /></p>
                        </form>
                    </div>
				</div>


            </div><!-- end #header-menu -->

